﻿using UnityEngine;
using System.Collections;

public class PlayerAudioManager : MonoBehaviour {
	public AudioClip walkSound;
	public AudioClip jumpSound;
	public AudioClip elecSound;
	public AudioClip eatSound;
	public AudioClip drunkSound;
	public AudioClip squishSound;
	public AudioClip teleportSound;

	public void PlaySound(PlayerSounds sound) {	
		AudioClip clip = null;
		switch (sound) {
			case PlayerSounds.DrunkSound:
				clip = drunkSound;
				break;
			case PlayerSounds.WalkSound:
				clip = walkSound;
				break;
			case PlayerSounds.JumpSound:
				clip = jumpSound;
				break;
			case PlayerSounds.ElecSound:
				clip = elecSound;
				break;
			case PlayerSounds.SquishSound:
				clip = squishSound;
				break;
			case PlayerSounds.EatSound:
				clip = eatSound;
				break;		
			case PlayerSounds.TeleportSound:
				clip = teleportSound;
				break;
		}
		if (clip == null) return;
		GetComponent<AudioSource>().PlayOneShot(clip);
	}
	
}

public enum PlayerSounds {
	WalkSound,
	JumpSound,
	ElecSound,
	EatSound,
	DrunkSound,
	SquishSound,
	TeleportSound
}
