﻿using UnityEngine;
using System.Collections;

public class ExitScript : MonoBehaviour {
	public bool closed;
	public ExitStatus status = ExitStatus.Both;
	
	void Start() {
		GetComponent<Animator>().SetBool ("closed", closed);
	}

	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.gameObject.tag == "Player" && closed == false) {
			if (status == ExitStatus.LeftOnly  && other.gameObject.GetComponent<PlayerMover>().ID == 1) return;
			if (status == ExitStatus.RightOnly && other.gameObject.GetComponent<PlayerMover>().ID == 0) return;
		
			other.gameObject.SendMessage("done");
			
			GameObject[] exits = GameObject.FindGameObjectsWithTag("Exit");
			
			for (int i = 0; i < exits.Length; i++) {
				exits[i].SendMessage("Open");
			}
		}
	}
	
	public void Open() {
		closed = false;
		GetComponent<Animator>().SetBool ("closed", false);
	}
}

public enum ExitStatus {
	Both,
	LeftOnly,
	RightOnly
}
