﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

[RequireComponent(typeof(Text))]
[RequireComponent(typeof(Animator))]

public class GameTimer : MonoBehaviour {
	public float time;
	private bool started = false;
	private bool countdown = false;

	// Update is called once per frame
	void Update () {
		if (started)
			time -= Time.deltaTime;
		
		if (time < 0) {
			time = 0;
			GameObject.FindGameObjectWithTag("Player").SendMessage("die", DeathType.Squished);
		}
		
		if (time < 10) {
			if (!countdown) {
				GameObject.FindGameObjectWithTag("Music").SendMessage ("Countdown");
			}
			
			countdown = true;
			GetComponent<Animator>().SetBool("running_out", true);
		}
		
		GetComponent<Text>().text = time.ToString ("00.00");
	}
	
	public void Alarm() {
		if (time > 10)
			time = 10;
	}
	
	public void StartTimer() {
		started = true;
	}
}
