﻿using UnityEngine;
using System.Collections;

public class PlayerDeath : MonoBehaviour {
	public DeathBlur blur;
	
	private bool alive = true;
	
	public void die(DeathType type)
	{
		if (!alive) return;
		alive = false;
		GetComponent<PlayerMover>().enabled = false;
		GetComponent<PlayerAudioManager>().PlaySound(
			(type == DeathType.Squished) ? PlayerSounds.SquishSound : PlayerSounds.ElecSound
		);
		GetComponent<Animator>().SetBool ("electrocuted", true);
		blur.SendMessage("blur");
		StartCoroutine("ResetLevel");
	}
	
	IEnumerator ResetLevel() {
		yield return new WaitForSeconds(1f);
		
		Application.LoadLevel(Application.loadedLevelName);
				
		yield break;
	}
}

public enum DeathType {
	Squished,
	Electrified
}