﻿using UnityEngine;
using System.Collections;

public class PlayerExitScript : MonoBehaviour {
	private bool exited = false;

	public void done()
	{
		exited = true;
		GetComponent<PlayerMover>().enabled = false;
		GetComponent<SpriteRenderer>().enabled = false;
		
		GameObject[] players = GameObject.FindGameObjectsWithTag("Player");
		
		for (var i = 0; i < players.Length; i++) {
			if (!players[i].GetComponent<PlayerExitScript>().Exited) return;
		}
		
		if (Application.loadedLevel < Application.levelCount - 1) {
			Application.LoadLevel (Application.loadedLevel + 1);
		}
		else {
			Application.LoadLevel(0);
		}
	}
	
	public bool Exited {
		get { return exited; }
	}	
}
